# coding: utf-8

"""
    Synctera API

    <h2>Let's build something great.</h2><p>Welcome to the official reference documentation for Synctera APIs. Our APIs are the best way to automate your company's banking needs and are designed to be easy to understand and implement.</p><p>We're continuously growing this library and what you see here is just the start, but if you need something specific or have a question, <a class='text-blue-600' href='https://synctera.com/contact' target='_blank' rel='noreferrer'>contact us</a>.</p>  # noqa: E501

    The version of the OpenAPI document: 1.41.4
    Contact: dev@swadesh.co
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""


from __future__ import annotations
from inspect import getfullargspec
import pprint
import re  # noqa: F401
import json


from typing import Optional
from pydantic import BaseModel, Field, StrictStr
from synctera_client_v1.models.restricted_application_item_type import RestrictedApplicationItemType

class RestrictedApplicationDocument(BaseModel):
    """
    Document within an application page
    """
    description: StrictStr = Field(..., description="File description")
    document_id: StrictStr = Field(..., description="ID of the document within the Synctera platform")
    fintech_item_id: Optional[StrictStr] = Field(None, description="Client supplied item id")
    type: RestrictedApplicationItemType = Field(...)
    __properties = ["description", "document_id", "fintech_item_id", "type"]

    class Config:
        allow_population_by_field_name = True
        validate_assignment = True

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.dict(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> RestrictedApplicationDocument:
        """Create an instance of RestrictedApplicationDocument from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self):
        """Returns the dictionary representation of the model using alias"""
        _dict = self.dict(by_alias=True,
                          exclude={
                          },
                          exclude_none=True)
        return _dict

    @classmethod
    def from_dict(cls, obj: dict) -> RestrictedApplicationDocument:
        """Create an instance of RestrictedApplicationDocument from a dict"""
        if obj is None:
            return None

        if type(obj) is not dict:
            return RestrictedApplicationDocument.parse_obj(obj)

        _obj = RestrictedApplicationDocument.parse_obj({
            "description": obj.get("description"),
            "document_id": obj.get("document_id"),
            "fintech_item_id": obj.get("fintech_item_id"),
            "type": obj.get("type")
        })
        return _obj

